# Class MailboxMessageList

#### Hierarchy

- unknown
  - MailboxMessageList

- Defined in src/protobuf/pb_pb.d.ts:2133
- Defined in src/protobuf/pb_pb.d.ts:2147

#####
Index

### Constructors

constructor

### Methods

addMailboxItem
clearMailboxItemList
getMailboxItemList
serializeBinary
setMailboxItemList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MailboxMessageList(): MailboxMessageList

- #### Returns MailboxMessageList

  Inherited from jspb.Message.constructor

## Methods

### addMailboxItem

- addMailboxItem(value?: MailboxItem, index?: number): MailboxItem

- #### Parameters

  - ##### `Optional` value: MailboxItem

  - ##### `Optional` index: number

  #### Returns MailboxItem

  - Defined in src/protobuf/pb_pb.d.ts:2137

### clearMailboxItemList

- clearMailboxItemList(): MailboxMessageList

- #### Returns MailboxMessageList

  - Defined in src/protobuf/pb_pb.d.ts:2136

### getMailboxItemList

- getMailboxItemList(): MailboxItem[]

- #### Returns MailboxItem[]

  - Defined in src/protobuf/pb_pb.d.ts:2134

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2139

### setMailboxItemList

- setMailboxItemList(value: MailboxItem[]): MailboxMessageList

- #### Parameters

  - ##### value: MailboxItem[]

  #### Returns MailboxMessageList

  - Defined in src/protobuf/pb_pb.d.ts:2135

### toObject

- toObject(includeInstance?: boolean): MailboxMessageList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MailboxMessageList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2140

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MailboxMessageList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MailboxMessageList

  - Defined in src/protobuf/pb_pb.d.ts:2143

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MailboxMessageList, reader: BinaryReader): MailboxMessageList

- #### Parameters

  - ##### message: MailboxMessageList

  - ##### reader: BinaryReader

  #### Returns MailboxMessageList

  - Defined in src/protobuf/pb_pb.d.ts:2144

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MailboxMessageList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MailboxMessageList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2142

### `Static` toObject

- toObject(includeInstance: boolean, msg: MailboxMessageList): MailboxMessageList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MailboxMessageList

  #### Returns MailboxMessageList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2141

Generated using TypeDoc